;*******************(ASM) COPYRIGHT 2021 Masses-Chip ****************************
;* Project Name		  : M9F680_ADC.Prj
;* File Name		  : ADC_Work.INC
;* Author			  : MASSES CHIP
;* Version			  : V2.00
;* Date				  : 2021/09/15
;* Web				  : www.masses-chip.com
;* FAE				  : Luo
;					  : QQ：411680975
;//******************************************************************************
;采集10次AD值，去掉最大值和最小值，对剩下的AD值求平均,结果存放在ADC_DATA_SUM_H、
;ADC_DATA_SUM_L中，作为一次AD值
;//===============================================================================
;//*********************************ADC转换***************************************
;//一次AD值的转换
;//===============================================================================
ADCSampling12Bit:
		BSET		ADCON0,6
		JBTS0		ADCON0,6
		GOTO		$-1
		RETURN

;//===============================================================================
;//*********************************ADC处理程序***********************************
;//对采集的AD数据去除最大值和最小值后对剩下数据求平均
;//===============================================================================	
ADC_Work:
		MOVIA		10
		MOVAR		R_Count
;//把最大值初始化成最小值0x0000
		CLRR		ADC_MAX_DATAH 		
		CLRR		ADC_MAX_DATAL 
;//把最小值初始化成最大值0xFFFF
		MOVIA		0xFF
		MOVAR		ADC_MIN_DATAH 
		MOVAR		ADC_MIN_DATAL 
;//求和寄存器清零
		CLRR		ADC_DATA_SUM_L 
		CLRR		ADC_DATA_SUM_H 		
		
ADC_DATA_Collect_Lp:
;//一次ADC的转换
		CALL		ADCSampling12Bit
;//数据处理
		MOVR		ADL,0
		ADDAR		ADC_DATA_SUM_L,1
		MOVR		ADH,0
		ADCAR		ADC_DATA_SUM_H,1
		CALL		DATA_CMP
		DJZR		R_Count,1
		GOTO		ADC_DATA_Collect_Lp
;//减去最小值		
		MOVR        ADC_MIN_DATAL,0
		SUBRA		ADC_DATA_SUM_L,1
		MOVR        ADC_MIN_DATAH,0
		SBCRA 		ADC_DATA_SUM_H,1
;//减去最大值
		MOVR        ADC_MAX_DATAL,0
		SUBRA		ADC_DATA_SUM_L,1
		MOVR        ADC_MAX_DATAH,0
		SBCRA 		ADC_DATA_SUM_H,1	
;//剩下8组数据平均	
		MOVIA       0x03
		MOVAR       R_Count
Average_loop:		
		BCLR		STATUS,C	
		RRR			ADC_DATA_SUM_H,1
		RRR         ADC_DATA_SUM_L,1
		DJZR		R_Count,1
		GOTO		Average_loop
;//测量ADC通道的最后结果放在ADC_DATA_SUM_H,ADC_DATA_SUM_L
		RETURN



;//===============================================================================
;//*********************************ADC最值寻找***********************************
;//找到数据的最大值和最小值
;//=============================================================================== 		
DATA_CMP:
;//-----------------------------------------------------------------------------
;//最大值比较
MAX_DATA_CMP:
		MOVR		ADH,0
		JLRA        ADC_MAX_DATAH			;//ADC高位与最大值高位相比较	
		GOTO        MIN_DATA_CMP
		JBTS1       STATUS,Z
		GOTO        MAX_DATA_Change
		MOVR		ADL,0					;//高位比较结果为0时比较低位
		JLRA        ADC_MAX_DATAL
		GOTO        MIN_DATA_CMP
;//把最大值更新为当前值
MAX_DATA_Change:   
		MOVR		ADH,0				
		MOVAR		ADC_MAX_DATAH 			;//将AD高位赋值到最大值高位
		MOVR		ADL,0
		MOVAR		ADC_MAX_DATAL 			;//将AD低位赋值到最大值低位
;//-----------------------------------------------------------------------------
;//最小值比较
MIN_DATA_CMP:
        MOVR		ADH,0
		JLRA        ADC_MIN_DATAH			;//ADC高位与最小值高位相比较
		GOTO        MIN_DATA_Change
		JBTS1       STATUS,Z
		GOTO        DATA_CMP_End
		MOVR		ADL,0					;//高位比较结果为0时比较低位
		JGRA        ADC_MIN_DATAL
		GOTO        DATA_CMP_End
;//把最小值更新为当前值
MIN_DATA_Change: 
		MOVR		ADH,0				
		MOVAR		ADC_MIN_DATAH 			;//将AD高位赋值到最小值高位
		MOVR		ADL,0
		MOVAR		ADC_MIN_DATAL 			;//将AD低位赋值到最小值低位
		
DATA_CMP_End:
		RETURN

;*********************************END OF FILE******************************













		
		